Subject: bug#56682: Fix the long lines font locking related slowdowns

From: Dmitry Gutov <[email-masked]>
Date: Sat, 13 Aug 2022 19:46:54 +0300

On 13.08.2022 17:32, Gregory Heytings wrote:
> 
>>
>> However, if much larger JSON files exist, we should first see what 
>> that proposal produces with such larger files.
>>
> 
> As I just said to Dmitry: the same multi-second delays we saw in smaller 
> JSON files.  And those who have a slower CPU will see these multi-second 
> delays with smaller files.

No exactly the same ones, though, since the previous tests we did were 
done with the older version of JSON support (not the current 
js-json-mode), with somewhat different performance characteristics.

So re-testing would be a good idea.